use log::{error, info, warn};
use crate::config::{ ServerConfiguration, ClientConfiguration, ObfsProtocol, ServerPeer };
use fast32::base32::RFC4648;
use crate::client;
use jni::sys::jint;
use tokio::runtime::Runtime;
use robusta_jni::jni::JNIEnv;

pub async fn mobile_run(cfg_raw: String, close_fd_on_drop: bool, tun_fd: i32, env: &JNIEnv, close_token: tokio_util::sync::CancellationToken) {
    let config: ClientConfiguration = serde_yaml::from_slice(hex::decode(cfg_raw).unwrap().as_slice()).expect("Bad client config file structure");
    client::client_mode(config, tun_fd, env).await;
}